Responses
Get one response with its answer, mentions and citations.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidresponseId*stringuuidResponse detail
application/jsonid*stringuuidpromptId*stringuuidpromptText*stringengine*stringstatus*string"completed""empty"preview*stringStart of the answer, plain text
visibilityScore*integer|nullsentiment*integer|nullbrandMentioned*boolean|nullmentions*array<>citations*answeredAt*stringdate-timecountryCode*stringprovider*string|nullmodel*string|nullanswerText*string|nullanswerMarkdown*string|nullbrandPosition*integer|nullcitationList*array<>brands*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67", "promptText": "string", "engine": "string", "status": "completed", "preview": "string", "visibilityScore": 0, "sentiment": 0, "brandMentioned": true, "mentions": [ { "key": "string", "position": 0, "mentions": 0 } ], "citations": { "brand": 0, "total": 0 }, "answeredAt": "2019-08-24T14:15:22Z", "countryCode": "string", "provider": "string", "model": "string", "answerText": "string", "answerMarkdown": "string", "brandPosition": 0, "citationList": [ { "position": 0, "url": "string", "domain": "string", "title": "string", "description": "string", "kind": "source", "owner": "brand", "ownerKey": "string" } ], "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
"promptText": "string",
"engine": "string",
"status": "completed",
"preview": "string",
"visibilityScore": 0,
"sentiment": 0,
"brandMentioned": true,
"mentions": [
{
"key": "string",
"position": 0,
"mentions": 0
}
],
"citations": {
"brand": 0,
"total": 0
},
"answeredAt": "2019-08-24T14:15:22Z",
"countryCode": "string",
"provider": "string",
"model": "string",
"answerText": "string",
"answerMarkdown": "string",
"brandPosition": 0,
"citationList": [
{
"position": 0,
"url": "string",
"domain": "string",
"title": "string",
"description": "string",
"kind": "source",
"owner": "brand",
"ownerKey": "string"
}
],
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}